

/* stattabs.h */


/*------------------------------------------------------------------------
 * Solitaire field statistics: Statistic table style defaults
 *------------------------------------------------------------------------
 */


/*----------------------------------------------------------------------*/

#ifndef STATTABS_H
#define STATTABS_H

/*----------------------------------------------------------------------*/

#include "mytypes.h"
#include "wordcnt.h"

/*----------------------------------------------------------------------*/


typedef struct s_STATTABS *tpsSTATTABS;
typedef tpsSTATTABS       *tppsSTATTABS;

/*---------------------------------------------*/

tpsSTATTABS psStatTabsCreate        (tVOID);
tpsSTATTABS psStatTabsDestroy       (tpsSTATTABS psTabs);
tpsSTATTABS psStatTabsMemUsage      (tpsSTATTABS psTabs, tpCOUNT pcnSizeof, tpCOUNT pcnBlocks);

tVOID       vStatTabsSetStone       (tpsSTATTABS psTabs, tCOUNT cnStone);
tVOID       vStatTabsSetSymm        (tpsSTATTABS psTabs, tCOUNT cnSymm );
tVOID       vStatTabsSetMove        (tpsSTATTABS psTabs, tCOUNT cnMove );
tCOUNT      cnStatTabsGetStone      (tpsSTATTABS psTabs);
tCOUNT      cnStatTabsGetSymm       (tpsSTATTABS psTabs);
tCOUNT      cnStatTabsGetMove       (tpsSTATTABS psTabs);

tVOID       vStatTabsSetStart       (tpsSTATTABS psTabs);
tVOID       vStatTabsSetNextRow     (tpsSTATTABS psTabs);

tVOID       vStatTabsStyleNone      (tpsSTATTABS psTabs);
tVOID       vStatTabsStyleTitle     (tpsSTATTABS psTabs);
tVOID       vStatTabsStyleHeader    (tpsSTATTABS psTabs);
tVOID       vStatTabsStyleEnum      (tpsSTATTABS psTabs);
tVOID       vStatTabsStyleEntry     (tpsSTATTABS psTabs);
tVOID       vStatTabsStyleEntryAll  (tpsSTATTABS psTabs);
tVOID       vStatTabsStyleEntryNrm  (tpsSTATTABS psTabs);
tVOID       vStatTabsStyleEntryEnum (tpsSTATTABS psTabs);
tVOID       vStatTabsStyleEntryAdd  (tpsSTATTABS psTabs);
tVOID       vStatTabsStyleEntrySum  (tpsSTATTABS psTabs);

tVOID       vStatTabsSetCellText    (tpsSTATTABS psTabs, tPSZc pzText);
tVOID       vStatTabsSetCellWordCnt (tpsSTATTABS psTabs, tpsWORDCNT psCnt, tCOUNT cnIndex, tCHAR cFormat);
tVOID       vStatTabsSetCellULong   (tpsSTATTABS psTabs, tULONG ulVal);

tpPSZ       ppzStatTabsHtmlStr      (tpPSZ ppzStr, tpsSTATTABS psTabs);

/*---------------------------------------------*/

tPSZc pzStatTabsStrPosNext   (tPSZc pzStr, tCHAR cBeg);
tPSZc pzStatTabsStrPosBehind (tPSZc pzStr, tCHAR cBeg, tCHAR cEnd);
tPSZc pzStatTabsStrGetSep    (tPSZc pzStr, tCHAR cSep, tpPSZ ppzPart);
tPSZc pzStatTabsStrGetInner  (tPSZc pzStr, tCHAR cBeg, tCHAR cEnd, tpPSZ ppzInner);
tPSZc pzStatTabsStrGetNumber (tPSZc pzStr, tpCOUNT pcnNumber);

/*----------------------------------------------------------------------*/

#endif
